FUNCTION drz_astron_default_equinox

;+
; NAME:
;	astron_default_equinox
; PURPOSE:
;    returns the default equinox used by astron for coordinates conversion
; CATEGORY:
;    Coordinates conversions
; CALLING SEQUENCE:
;    equinox=astron_default_equinox()
; INPUTS:
;	None
; OPTIONAL INPUT PARAMETERS:
;    None
; OUTPUTS:
;	equinox     = the default equinox value (1950 for V1 of Astron, 2000 for V2, -1 if not found)
; OPTIONAL OUTPUT PARAMETERS:
;	None
; ACCEPTED KEY-WORDS:
;	None
; COMMON BLOCKS:
;	None
; SIDE EFFECTS:
;    None
; RESTRICTIONS:
;    None
; PROCEDURE:
;	straightforward
; EXAMPLES
;    print,astron_default_equinox()
; MODIFICATION HISTORY:
;	Written by J.P. Bernard 17/02/00
;-

l=10. & b=0.
ra=271.19685 & dec=-20.297645    ;ra,dec, 1950 of l=10,b=0
euler,ra,dec,ll,bb,1
IF abs(ll-l) LE 1.e-3 AND abs(bb-b) LE 1.e-3 THEN BEGIN
  equi=1950.
  GOTO,sortie
ENDIF
equinox=2000.
precess,ra,dec,1950.,equinox
euler,ra,dec,ll,bb,1
IF abs(ll-l) LE 1.e-3 AND abs(bb-b) LE 1.e-3 THEN BEGIN
  equi=equinox
  GOTO,sortie
ENDIF
equi=-1

sortie:
RETURN,equi

END

