FUNCTION drz_healp_drizzle_geom_invert,drizzle_st

;revert a geometry structure from the healpix pixelisation to the fits
fits_header=drizzle_st.hfits
Nx=sxpar(fits_header,'NAXIS1')
Ny=sxpar(fits_header,'NAXIS2')
Npix_fits=Nx*Ny

one_pix={pixel:0LL, $
         pix_inside:ptr_new(), $
         surface_inside:ptr_new()}
fits_drizzle_st={hfits:drizzle_st.hfits,hhealpix:drizzle_st.hhealpix,geom:replicate(one_pix,Npix_fits)}
fits_drizzle_st.geom.pixel=l64indgen(Npix_fits)

ind_good=where(ptr_valid(drizzle_st.geom.pix_inside),Npix_healp)

FOR i=0LL,Npix_healp-1 DO BEGIN
  fits_pixs=*drizzle_st.geom(ind_good(i)).pix_inside
  surfs=*drizzle_st.geom(ind_good(i)).surface_inside
  healp_pix=drizzle_st.geom(ind_good(i)).pixel
  Ng=n_elements(fits_pixs)
  FOR j=0LL,Ng-1 DO BEGIN
    IF ptr_valid(fits_drizzle_st.geom(fits_pixs(j)).surface_inside) THEN BEGIN
      vec=*fits_drizzle_st.geom(fits_pixs(j)).surface_inside
      ptr_free, fits_drizzle_st.geom(fits_pixs(j)).surface_inside 
      vec=[vec,surfs(j)]
      fits_drizzle_st.geom(fits_pixs(j)).surface_inside=ptr_new(vec)
      vec=*fits_drizzle_st.geom(fits_pixs(j)).pix_inside
      ptr_free, fits_drizzle_st.geom(fits_pixs(j)).pix_inside
      vec=[vec,healp_pix]
      fits_drizzle_st.geom(fits_pixs(j)).pix_inside=ptr_new(vec)
    ENDIF ELSE BEGIN
      vec = surfs(j)
      fits_drizzle_st.geom(fits_pixs(j)).surface_inside=ptr_new(vec)
      ptr_free, fits_drizzle_st.geom(fits_pixs(j)).pix_inside
      fits_drizzle_st.geom(fits_pixs(j)).pix_inside=ptr_new(healp_pix)
    ENDELSE
  ENDFOR
ENDFOR


RETURN,fits_drizzle_st

END
