FUNCTION drz_healp_fits_interpix2,healp_header,fits_header,lbl=lbl,count=count

;Computes the healpix pixels intersecting a given Fits file

index=[0LL]
nside=sxpar(healp_header,'NSIDE')
ordering=strtrim(sxpar(healp_header,'ORDERING'),2)
hpixsize=drz_nside2pixsize(nside)
Npix=nside2npix(nside)

Nx=sxpar(fits_header,'NAXIS1')
Ny=sxpar(fits_header,'NAXIS2')
drz_h2pix,fits_header,/silent
cdelt1=sxpar(fits_header,'CDELT1')
cdelt2=sxpar(fits_header,'CDELT2')

;xmargin=0.5 & ymargin=0.5  ;This is for strict fits edges
;This is to enlarge by one healpix pixel
;xmargin=0.5+hpixsize/abs(cdelt1)*sqrt(2.)
;ymargin=0.5+hpixsize/abs(cdelt2)*sqrt(2.)
;This is to enlarge by a bit more than one healpix pixel
xmargin=0.5+hpixsize/abs(cdelt1)*2
ymargin=0.5+hpixsize/abs(cdelt2)*2
;Test
;xmargin=0.5+hpixsize/abs(cdelt1)*4
;ymargin=0.5+hpixsize/abs(cdelt2)*4

vlist=dblarr(4,3)
drz_h2pix,fits_header,/silent
drz_pix2coo2,0-xmargin,0-ymargin,c1,c2
drz_healp_coo2phi_theta,c1,c2,phi,theta,healp_header,fits_header
ang2vec, theta/!radeg, phi/!radeg, vv
vlist(0,*)=vv
drz_pix2coo2,0-xmargin,Ny-1+ymargin,c1,c2
drz_healp_coo2phi_theta,c1,c2,phi,theta,healp_header,fits_header
ang2vec, theta/!radeg, phi/!radeg, vv
vlist(1,*)=vv
drz_pix2coo2,Nx-1+xmargin,Ny-1+ymargin,c1,c2
drz_healp_coo2phi_theta,c1,c2,phi,theta,healp_header,fits_header
ang2vec, theta/!radeg, phi/!radeg, vv
vlist(2,*)=vv
drz_pix2coo2,Nx-1+xmargin,0-ymargin,c1,c2
drz_healp_coo2phi_theta,c1,c2,phi,theta,healp_header,fits_header
ang2vec, theta/!radeg, phi/!radeg, vv
vlist(3,*)=vv

inclusive=1
nested=0
IF ordering EQ 'NESTED' THEN nested=1
;query_polygon, nside, vlist, listpix, nlist, help=help, nested=nested, inclusive=inclusive
query_polygon, nside, vlist, listpix, nlist, nested=nested, inclusive=inclusive

count=nlist

RETURN,listpix

END
